# eric7.WebBrowser.Bookmarks.BookmarksImporters.__init__

Package implementing bookmarks importers for various sources.

### Global Attributes

None

### Classes

None

### Functions

getImporter | Module function to get an importer for the given source id.
getImporterInfo | Module function to get information for the given source id.
getImporters | Module function to get a list of supported importers.

## getImporter

getImporter(sourceId, parent=None)

Module function to get an importer for the given source id.

sourceId
  source id to get an importer for (string)
parent
  reference to the parent object (QObject)

Return:
  bookmarks importer (BookmarksImporter)

Raises ValueError:
  raised to indicate an unsupported importer

Up

## getImporterInfo

getImporterInfo(sourceId)

Module function to get information for the given source id.

sourceId
  source id to get info for (string)

Return:
  tuple with an icon (QPixmap), readable name (string), name of the default bookmarks file (string), an info text (string), a prompt (string) and the default directory of the bookmarks file (string)

Raises ValueError:
  raised to indicate an unsupported importer

Up

## getImporters

getImporters()

Module function to get a list of supported importers.

Return:
  list of tuples with an icon (QIcon), readable name (string) and internal name (string)

Up